function doHtmxAjax(method, url, options) {
    return new Promise(resolve => {
        options = options || {};
        htmx.ajax(method, url, {
            ...options,
            swap: 'none',
            handler: (_, r) => resolve(r.xhr)
        })
    })
}